## NMAccessPoint NMAccessPoint |

## Functions

NM80211ApFlags | nm_access_point_get_flags ()
NM80211ApSecurityFlags | nm_access_point_get_wpa_flags ()
NM80211ApSecurityFlags | nm_access_point_get_rsn_flags ()
GBytes * | nm_access_point_get_ssid ()
const char * | nm_access_point_get_bssid ()
guint32 | nm_access_point_get_frequency ()
NM80211Mode | nm_access_point_get_mode ()
guint32 | nm_access_point_get_max_bitrate ()
guint8 | nm_access_point_get_strength ()
int | nm_access_point_get_last_seen ()
GPtrArray * | nm_access_point_filter_connections ()
gboolean | nm_access_point_connection_valid ()

## Types and Values

#define | NM_ACCESS_POINT_FLAGS
#define | NM_ACCESS_POINT_WPA_FLAGS
#define | NM_ACCESS_POINT_RSN_FLAGS
#define | NM_ACCESS_POINT_SSID
#define | NM_ACCESS_POINT_BSSID
#define | NM_ACCESS_POINT_FREQUENCY
#define | NM_ACCESS_POINT_MODE
#define | NM_ACCESS_POINT_MAX_BITRATE
#define | NM_ACCESS_POINT_STRENGTH
#define | NM_ACCESS_POINT_LAST_SEEN
#define | NM_ACCESS_POINT_HW_ADDRESS

## Description

## Functions

### nm_access_point_get_flags ()

    NM80211ApFlags
    nm_access_point_get_flags (NMAccessPoint *ap);

### nm_access_point_get_wpa_flags ()

    NM80211ApSecurityFlags
    nm_access_point_get_wpa_flags (NMAccessPoint *ap);

### nm_access_point_get_rsn_flags ()

    NM80211ApSecurityFlags
    nm_access_point_get_rsn_flags (NMAccessPoint *ap);

### nm_access_point_get_ssid ()

    GBytes *
    nm_access_point_get_ssid (NMAccessPoint *ap);

### nm_access_point_get_bssid ()

    const char *
    nm_access_point_get_bssid (NMAccessPoint *ap);

### nm_access_point_get_frequency ()

    guint32
    nm_access_point_get_frequency (NMAccessPoint *ap);

### nm_access_point_get_mode ()

    NM80211Mode
    nm_access_point_get_mode (NMAccessPoint *ap);

### nm_access_point_get_max_bitrate ()

    guint32
    nm_access_point_get_max_bitrate (NMAccessPoint *ap);

### nm_access_point_get_strength ()

    guint8
    nm_access_point_get_strength (NMAccessPoint *ap);

### nm_access_point_get_last_seen ()

    int
    nm_access_point_get_last_seen (NMAccessPoint *ap);

### nm_access_point_filter_connections ()

    GPtrArray *
    nm_access_point_filter_connections (NMAccessPoint *ap,
                                        const GPtrArray *connections);

### nm_access_point_connection_valid ()

    gboolean
    nm_access_point_connection_valid (NMAccessPoint *ap,
                                      NMConnection *connection);

## Types and Values

### NM_ACCESS_POINT_FLAGS

    #define NM_ACCESS_POINT_FLAGS       "flags"

### NM_ACCESS_POINT_WPA_FLAGS

    #define NM_ACCESS_POINT_WPA_FLAGS   "wpa-flags"

### NM_ACCESS_POINT_RSN_FLAGS

    #define NM_ACCESS_POINT_RSN_FLAGS   "rsn-flags"

### NM_ACCESS_POINT_SSID

    #define NM_ACCESS_POINT_SSID        "ssid"

### NM_ACCESS_POINT_BSSID

    #define NM_ACCESS_POINT_BSSID       "bssid"

### NM_ACCESS_POINT_FREQUENCY

    #define NM_ACCESS_POINT_FREQUENCY   "frequency"

### NM_ACCESS_POINT_MODE

    #define NM_ACCESS_POINT_MODE        "mode"

### NM_ACCESS_POINT_MAX_BITRATE

    #define NM_ACCESS_POINT_MAX_BITRATE "max-bitrate"

### NM_ACCESS_POINT_STRENGTH

    #define NM_ACCESS_POINT_STRENGTH    "strength"

### NM_ACCESS_POINT_LAST_SEEN

    #define NM_ACCESS_POINT_LAST_SEEN   "last-seen"

### NM_ACCESS_POINT_HW_ADDRESS

    #define NM_ACCESS_POINT_HW_ADDRESS "hw-address"